# $Revision: 1.29 $, $Date: 2009/12/01 01:56:15 $
#
# http://www.securityfocus.com/bid/18751/info
#
Summary:	MS Word Document reading library
Summary(pl.UTF-8):	Biblioteka czytająca dokumenty MS Worda
Name:		wv2
Version:	0.4.2
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/wvware/%{name}-%{version}.tar.bz2
# Source0-md5:	850ed8e44a84e7bf0610747827018cbc
URL:		http://wvware.sourceforge.net/
BuildRequires:	cmake >= 2.6.1-2
BuildRequires:	libgsf-devel >= 1.7.2
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
wv2 is a library that understands the Microsoft Word 8 binary file
format (Office97, Office2000).

%description -l pl.UTF-8
wv2 jest biblioteką, którą rozumie binarne dokumenty programu
Microsoft Word 8 (Office97, Office2000).

%package devel
Summary:	Include files needed to compile
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki wv2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgsf-devel
Obsoletes:	wv2-static

%description devel
Contains the wv2 header files.

%description devel -l pl.UTF-8
Pakiet tem zawiera pliki nagłówkowe wv2.

%prep
%setup -q

# it caused stupid ac error message
rm -rf autom4te.cache

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog THANKS TODO
%attr(755,root,root) %{_libdir}/libwv2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwv2.so.?

%files devel
%defattr(644,root,root,755)
%doc doc/escher/*.html doc/DESIGN.html src/generator/{*.htm,spec_defects}
%attr(755,root,root) %{_bindir}/wv2-config
%attr(755,root,root) %{_libdir}/libwv2.so
%{_libdir}/libwv2.la
%{_includedir}/wv2
%{_libdir}/wvWare

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wv2.spec,v $
Revision 1.29  2009/12/01 01:56:15  sparky
- readded wrongly removed BRs: libstdc++-devel, pkgconfig

Revision 1.28  2009/12/01 00:30:54  shadzik
- 0.4.2

Revision 1.27  2009/12/01 00:26:58  shadzik
- 0.4.1
- changed to cmake build
- no more -static subpackage

Revision 1.26  2009/05/16 16:19:08  hawk
- updated to 0.3.1

Revision 1.25  2009/05/03 23:09:20  hawk
- release 4

Revision 1.24  2007/04/18 09:29:28  pluto
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 3.

Revision 1.23  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.21  2007/01/02 10:57:01  arekm
- rel 2

Revision 1.20  2006/11/09 21:13:36  glen
- strict internal deps

Revision 1.19  2006/08/11 07:41:16  havner
- security info

Revision 1.18  2006/06/22 13:53:08  qboosh
- updated to 0.2.3 (fixes CVE-2006-2197)

Revision 1.17  2005/10/22 10:55:44  arekm
- rel 2

Revision 1.16  2004/05/10 05:34:07  pluto
- updated to 0.2.2 (gcc 3.4 complaint).

Revision 1.15  2004/05/09 16:14:29  pluto
- gcc 3.4 fixes, NFY...

Revision 1.14  2003/11/11 14:17:32  qboosh
- updated to 0.2.1, removed obsolete link patch, cleanups
- --enable-debug if build with debug

Revision 1.13  2003/09/07 00:57:01  qboosh
- 0.1.9

Revision 1.12  2003/08/19 07:25:53  gotar
- upgraded to 0.1.8

Revision 1.11  2003/08/06 08:14:41  gotar
- upgraded to 0.1.7,
- BR: bzip2-devel.

Revision 1.10  2003/06/16 14:06:51  adgor
- Fixed md5 for src0

Revision 1.9  2003/06/16 14:00:23  adgor
- Updated to 0.1
- Fixed URL

Revision 1.8  2003/05/28 13:02:58  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:28:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/27 20:03:21  qboosh
- -devel R: libgsf-devel,libstdc++-devel

Revision 1.5  2003/04/27 14:13:12  qboosh
- 0.0.9

Revision 1.4  2003/03/14 22:42:59  qboosh
- updated BRs

Revision 1.3  2003/03/13 11:23:42  qboosh
- working Source URL, minor fixed where needed

Revision 1.2  2003/03/09 17:39:24  areq
- 0.0.8

Revision 1.1  2003/01/05 21:11:30  qboosh
- new (library only, under development)
